function List_PreloadImages()
{
	//maru = 'url("../../common/image/other/maru.gif")';
	//over_maru = 'url("../../common/image/other/over_maru.gif")';
	//tri = 'url("../../common/image/other/tri.gif")';
	//over_tri = 'url("../../common/image/other/over_tri.gif")';
	//over_tri2 = 'url("../../common/image/other/over_tri2.gif")';

}

var gCateListHovered = true;
var gCateListHoverArea = 0;

var CategoryArr1 = new Array();
var CategoryArr2 = new Array();
var CategoryArr3 = new Array();

var gFigdelaycnt = 0;

function List_CateListMouseOver(obj,vFiggroup,vCategory,vSubcategory,vHLevel)
{

	var DummyNo = "9999";

	switch(vHLevel)
	{
		case 1:
		case 2:
			var length = obj.parentNode.childNodes.length;

			for(i = 0; i < length; i++)
			{
				if(obj.parentNode.childNodes(i).name != "title")
				{
					List_MouseOut(DummyNo,obj.parentNode.childNodes(i));
					if(obj.parentNode.childNodes(i).firstChild.firstChild.firstChild.lastChild.firstChild.name=='trimage')
					{
						obj.parentNode.childNodes(i).firstChild.firstChild.firstChild.lastChild.firstChild.src='../../common/image/other/tri.gif';
					}
				}
			}
			parent.work.document.all("data3").innerHTML = "";
			break;
	}

	if(gCateListHovered)
	{
		List_MouseOver(DummyNo,obj);
		//if(obj.firstChild.firstChild.firstChild.lastChild.firstChild.name == 'trimage')
		//{
		//	obj.firstChild.firstChild.firstChild.lastChild.firstChild.src = '../../common/image/other/over_tri.gif';
		//}

		if(vFiggroup != '')
		{
			if(vSubcategory == '')
			{
				CateList_ClickCategory(vFiggroup,vCategory);
			}
			else
			{
//***DELIMITAsqot-->' 20070117***
				vSubcategory = vSubcategory.replace(/DELIMITAsqot/g,"'");

				CateList_ClickSubCategory(vFiggroup,vCategory,vSubcategory);
			}
		}
	}
}


function List_CateListClick(vHLevel,vFiggroup,vFigid)
{
	if(vHLevel >= 2)
	{
		if(vFiggroup != "" && vFigid != "")
		{
			CateList_ClickFigure(vFiggroup,vFigid);
		}
	}
}


function List_CateListMouseOut(obj,vFiggroup,vCategory,vSubcategory,vHLevel)
{
	if(gCateListHoverArea != vHLevel)
	{
		gCateListHoverArea = vHLevel;
		gCateListHovered = true;
	}
	if(gCateListHovered)
	{
		var DummyNo = "9999";

		List_MouseOut(DummyNo,obj);

		if(obj.firstChild.firstChild.firstChild.lastChild.firstChild.name == 'trimage')
		{
			obj.firstChild.firstChild.firstChild.lastChild.firstChild.src = '../../common/image/other/tri.gif';
		}
		if(vFiggroup != '')
		{
			if(vSubcategory == '')
			{
				parent.work.document.all("data2").innerHTML = "";
				parent.work.document.all("data3").innerHTML = "";
			}
			else
			{
				parent.work.document.all("data3").innerHTML = "";
			}
		}
	}
}


function List_MouseOver(no,obj)
{
	if (no == gConnNo)
	{
		obj.style.backgroundImage = 'url("../../common/image/other/over_tri2.gif")';
		obj.style.backgroundColor = '#DDDDDD';
		obj.style.color='#eb2e62';
	}
	else
	{

		//obj.style.backgroundImage = 'url("../../common/image/other/over_maru.gif")';
		obj.style.backgroundColor = '#DDDDDD';
		//obj.style.color='#eb2e62';
	}
}


function List_MouseOut(no,obj)
{
	if (no == gConnNo)
	{
		obj.style.backgroundImage = 'url("../../common/image/other/over_tri2.gif")';
		obj.style.backgroundColor = '#DDDDDD';
		obj.style.color='#eb2e62';
	}
	else
	{
		//obj.style.backgroundImage = 'url("../../common/image/other/maru.gif")';
		obj.style.backgroundColor = '#FFFFFF';
		//obj.style.color='#666666';
	}
}


function CateList_InitList()
{
  	var nJob = GetUrlQueryParam("j");
  	var sCate = GetUrlQueryParam("c");
  	var sSCate =  GetUrlQueryParam("sc");
  	var sFig =  GetUrlQueryParam("f");
  	var sTop = GetUrlQueryParam("tc");
  	var sFigGrp = gXmlFigGrpName[nJob];

	//*** Pan Link 20061226***
	var from_text = "DELIMITAamp";
	var to_text = "&";
	sSCate = sSCate.split(from_text);
	sSCate = sSCate.join(to_text);
	//*** Pan Link 20061226***

  	if(sTop != "")
	{
		var from_text = "DELIMITAamp";
		var to_text = "&";
		sTop = sTop.split(from_text);
		sTop = sTop.join(to_text);

		var gmsxv_ls = "";
		var xml_temp = "";

		gmsxv_ls = navigator.appVersion;

		var p1 = gmsxv_ls.indexOf("MSIE",0);
		if(p1 != -1)
		{
			gmsxv_ls = gmsxv_ls.substr(p1 + 5, 3);
		}

		if(gmsxv_ls == "5.5")
		{
			//if(window.ActiveXObject)
			//{
			//try {
			//	xml_temp = ( new ActiveXObject("Microsoft.XMLHTTP"))? "0":"";
				//xml_temp += ( new ActiveXObject("Msxml2.XMLHTTP.3.0"))? "3":"";
				//xml_temp += ( new ActiveXObject("Msxml2.XMLHTTP.4.0"))? "4":"";
			//	} catch (e) {
			//				}
			//}

			//if(xml_temp == "0")
			//{
  			//	gmsxv_ls = "0";
			//}
			//else
			//{
				gmsxv_ls = "4";
			//}
		}
		else if(gmsxv_ls == "6.0")
		{
			gmsxv_ls = "3";
		}
		else if(gmsxv_ls == "7.0")//20080902
		{
			gmsxv_ls = "3";
		}
		else
		{
			gmsxv_ls = "9";
		}

		if(gmsxv_ls == "4")
		{
    		var oDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
		}
		else if(gmsxv_ls == "3")
		{
    		var oDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
		}
		else if(gmsxv_ls == "0")
		{
			Open_XML_Message();
			return;
		}
		else
		{
			alert(gMsxmlVersion_Error3);
			return;
		}

    	oDoc.async = false;
    	oDoc.load(gFListXmlfile);
    	var ndPickup = oDoc.selectNodes("/figlist/figgroup/category[name='" + sTop + "']");

    	if(ndPickup.length > 0)
		{
      		sCate = ndPickup.item(0).attributes.item(0).nodeValue;
    	}
		else
		{
      		ndPickup = oDoc.selectNodes("/figlist/figgroup/category[subcategory/@name='" + sTop + "']");
      		if(ndPickup.length>0)
			{
        		sCate = ndPickup.item(0).attributes.item(0).nodeValue;
      		}
      		ndPickup = oDoc.selectNodes("/figlist/figgroup/category/subcategory[@name='" + sTop + "']");
      		if(ndPickup.length>0)
			{
        		sSCate = ndPickup.item(0).attributes.item(0).nodeValue;
      		}
    	}
  	}

  	if(parseInt(nJob) == gXmlFigGrpCircuit)
	{//for Circuit
		//parent.work.document.all("data1").innerHTML = CateList_LoadCateData(sFigGrp);

		CateList_CurcuitPreload(sFigGrp);

    	if(sCate != "")
		{
      		CateList_ClickCategory(sFigGrp,sCate);
      		CateList_FormatCategorySelect(sFigGrp,sCate);
    	}

    	if(sSCate != "")
		{
      		CateList_ClickSubCategory(sFigGrp,sCate,sSCate);
      		CateList_FormatSubCategorySelect(sFigGrp,sCate,sSCate);
    	}
  	}
	else if(parseInt(nJob) == gXmlFigGrpPoEaMa)
	{//for PoEaMa

		CateList_PoEaMaPreload(sFigGrp);

    	if(sCate != "")
		{
      		CateList_ClickCategory(sFigGrp,sCate);
      		CateList_FormatCategorySelect(sFigGrp,sCate);
    	}

  	}
	else
	{//for Harnesslayout

		gFigSvgLoadFlag = 0;

    	parent.work.document.all("data1").innerHTML = CateList_LoadFigData(sFigGrp,"","");
    	if(parseInt(nJob) == gXmlFigGrpHarness)
		{
      		parent.work.document.all("data2").innerHTML = CateList_GetGisoOutlineEmbed();
    	}

		TM8 = setTimeout("Figdelay()",10);

  	}
}

function Figdelay()
{
	if(gFigSvgLoadFlag == 0)
	{
		gFigdelaycnt++;

		if(gFigdelaycnt > 1000)
		{
			gFigdelaycnt = 0;
			//alert(gTimeout_Error);
			clearTimeout(TM8);
			return;
		}
		TM8 = setTimeout("Figdelay()",10);
	}
	else
	{
		gFigdelaycnt = 0;
		gFigSvgLoadFlag = 0;

//*** 2 outline support 20070116***
		if(gFigSvgLoadFlag4 == 0)
		{
    		parent.work.SVG_FiginiSet2();
		}
		else
		{
			gFigSvgLoadFlag4 = 0;
		}
//*** 2 outline support 20070116***

		clearTimeout(TM8);
	}
}


function CateList_CurcuitPreload(sFigGrp)
{
	var CategoryURL = CateList_LoadCateData(sFigGrp);//section URL

	parent.work.document.all("data1").innerHTML = CategoryURL;

	CateList_CircuitData();

}

function CateList_PoEaMaPreload(sFigGrp)
{
	var CategoryURL = CateList_LoadCateData(sFigGrp);//section URL

	parent.work.document.all("data1").innerHTML = CategoryURL;

	CateList_PoEaMaData();

}


function CateList_FormatCategorySelect(sFigGrp,sCate)
{

	var divdata1 = parent.work.document.all("data1");
	var length = divdata1.childNodes.length;
	for(i = 0; i < length; i++)
	{
		if(divdata1.childNodes(i).name == sCate)
		{
			gCateListHovered = true;
			List_CateListMouseOver(divdata1.childNodes(i),sFigGrp,sCate,'',1);
			gCateListHovered = false;
			gCateListHoverArea = 1;
		}
	}

}


function CateList_FormatSubCategorySelect(sFigGrp,sCate,sSCate)
{
	var divdata1 = parent.work.document.all("data2");

	var length = divdata1.childNodes.length;
	for(i = 0; i < length; i++)
	{
		if(divdata1.childNodes(i).name == sSCate)
		{
			gCateListHovered = true;
			List_CateListMouseOver(divdata1.childNodes(i),sFigGrp,sCate,sSCate,2);
			gCateListHovered = false;
			gCateListHoverArea = 2;
		}
	}

}


function CateList_ClickCategory(vFiggroup,vCategory)
{

	if((vFiggroup == "Circuit Diagram") || (vFiggroup == "Power Source / Grounding / Sneak Path"))
	{//Circuit Diagram or Power
		var vHtml = parent.CategoryArr2[vCategory];
	}
	else
	{
		var vHtml = CateList_LoadSubCateData(vFiggroup,vCategory);
	}

  	if(vHtml != "")
	{
    	parent.work.document.all("data2").innerHTML = vHtml;
  	}
	else
	{
    	parent.work.document.all("data2").innerHTML = "";
  	}

  	parent.work.document.all("data3").innerHTML = "";
}


function CateList_ClickSubCategory(vFiggroup,vCategory,vSubcategory,vListend)
{

	if((vFiggroup == "Circuit Diagram") || (vFiggroup == "Power Source / Grounding / Sneak Path"))
	{//Circuit Diagram or Power
		var vHtml = parent.CategoryArr3[vSubcategory];
	}
	else
	{
		var vHtml = CateList_LoadFigData(vFiggroup,vCategory,vSubcategory);
	}

  	if(vHtml != "")
	{
    	with(parent.work.document)
		{
      		if(all("data2").innerHTML == "" || vListend == "end")
			{
        		all("data2").innerHTML = vHtml;
      		}
			else
			{
        		all("data3").innerHTML = vHtml;
      		}
    	}
  	}
}


function CateList_ClickFigure(vFiggroup, vFigid)
{
  	nFiggroup = GetJobNoFromFiggroup(vFiggroup);

  	var nwin = window.open("fig.html?j=" + nFiggroup + "&f=" + vFigid,  'winfiggrp' + nFiggroup,'status=no,location=no,menubar=no,toolbar=no');

	nwin.moveTo(20,20);
  	nwin.resizeTo(screen.width-20,screen.height-50);
  	nwin.focus();

}


function CateList_LoadCateData(vFiggroup)
{

	if(gmsxv == "4")
	{
  		var oDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
  		oDoc.async = false;
  		oDoc.load(gFListXmlfile);
  		var oStl = new ActiveXObject("msxml2.DOMDocument.4.0");
	}
	else if(gmsxv == "3")
	{
  		var oDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
  		oDoc.async = false;
  		oDoc.load(gFListXmlfile);
  		var oStl = new ActiveXObject("msxml2.DOMDocument.3.0");
	}
	else if(gmsxv == "0")
	{
		Open_XML_Message();
		return;
	}
	else
	{
		alert(gMsxmlVersion_Error3);
		return;
	}
  	oStl.setProperty("SelectionLanguage","XPath");
  	oStl.setProperty("SelectionNamespaces","xmlns:xsl='http://www.w3.org/1999/XSL/Transform'");
  	oStl.async = false;
  	oStl.load(gFListXslfile);

  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='viewmode']");
  	ndMode.text = "category";
  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='figgroup']");
  	ndMode.text = vFiggroup;
  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='pemparam']");
  	if(vFiggroup == gXmlFigGrpName[gXmlFigGrpPoEaMa])
	{
    	ndMode.text = 2;
  	}
	else
	{
    	ndMode.text = 1;
  	}

  	ndMode = oStl.selectSingleNode("//xsl:variable[@name='Section']");
  	ndMode.text = gFigList_Section;

  	ndMode = oStl.selectSingleNode("//xsl:variable[@name='JunctionMode']");
  	ndMode.text = gDefine_JunctionMode;

  	var sRet = "";
  	if(vFiggroup != "")
	{

		if(gmsxv == "4")
		{
    		var oWDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
		}
		else if(gmsxv == "3")
		{
    		var oWDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
		}

    	var ndWk = oWDoc.createNode("1","figlist","");

    	var ndPickup = oDoc.selectNodes("/figlist/figgroup[@name='" + vFiggroup + "']");
		var length = ndPickup.length;

    	for(var i = 0; i < length; i++)
		{
      		ndWk.appendChild(ndPickup.item(i));
    	}
    	oWDoc.appendChild(ndWk);
    	sRet = oWDoc.transformNode(oStl);
  	}

  	return sRet;
}


function CateList_LoadSubCateData(vFiggroup,vCategory)
{

	if(gmsxv == "4")
	{
  		var oDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
  		oDoc.async = false;
  		oDoc.load(gFListXmlfile);
  		var oStl = new ActiveXObject("msxml2.DOMDocument.4.0");
	}
	else if(gmsxv == "3")
	{
  		var oDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
  		oDoc.async = false;
  		oDoc.load(gFListXmlfile);
  		var oStl = new ActiveXObject("msxml2.DOMDocument.3.0");
	}
	else if(gmsxv == "0")
	{
		Open_XML_Message();
		return;
	}
	else
	{
		alert(gMsxmlVersion_Error3);
		return;
	}
  	oStl.setProperty("SelectionLanguage","XPath");
  	oStl.setProperty("SelectionNamespaces","xmlns:xsl='http://www.w3.org/1999/XSL/Transform'");
  	oStl.async = false;
  	oStl.load(gFListXslfile);

  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='viewmode']");
  	ndMode.text = "subcategory";
  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='figgroup']");
  	ndMode.text = vFiggroup;
  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='category']");
  	ndMode.text = vCategory;

  	ndMode = oStl.selectSingleNode("//xsl:variable[@name='SubSection']");
  	ndMode.text = gFigList_SubSection;

  	var sRet = "";
  	if(vFiggroup != "" && vCategory != "")
	{

		if(gmsxv == "4")
		{
    		var oWDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
		}
		else if(gmsxv == "3")
		{
			var oWDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
		}

    	var ndWk = oWDoc.createNode("1","figlist","");

    	var ndPickup = oDoc.selectNodes("/figlist/figgroup[@name='" + vFiggroup + "']");
		var length = ndPickup.length;
    	for(var i = 0; i < length; i++)
		{
    	  	ndWk.appendChild(ndPickup.item(i));
    	}
    	oWDoc.appendChild(ndWk);

		if(gmsxv == "4")
		{
    		var oWWDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
		}
		else if(gmsxv == "3")
		{
    		var oWWDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
		}

    	ndWk = oWDoc.createNode("1","figlist","");
    	ndPickup = oWDoc.selectNodes("/figlist/figgroup/category[@id='" + vCategory + "']");
		var length = ndPickup.length;
    	if(length>0)
		{
      		for(var i = 0; i < length; i++)
			{
        		ndWk.appendChild(ndPickup.item(i));
      		}
      		oWWDoc.appendChild(ndWk);
      		sRet = oWWDoc.transformNode(oStl);
    	}
  	}

  	return sRet;

}


function CateList_LoadFigData(vFiggroup,vCategory,vSubcategory)
{

	if(gmsxv == "4")
	{
  		var oDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
  		oDoc.async = false;
  		oDoc.load(gFListXmlfile);
  		var oStl = new ActiveXObject("msxml2.DOMDocument.4.0");
	}
	else if(gmsxv == "3")
	{
  		var oDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
  		oDoc.async = false;
  		oDoc.load(gFListXmlfile);
  		var oStl = new ActiveXObject("msxml2.DOMDocument.3.0");
	}
	else if(gmsxv == "0")
	{
		Open_XML_Message();
		return;
	}
	else
	{
		alert(gMsxmlVersion_Error3);
		return;
	}
  	oStl.setProperty("SelectionLanguage","XPath");
  	oStl.setProperty("SelectionNamespaces","xmlns:xsl='http://www.w3.org/1999/XSL/Transform'");
  	oStl.async = false;
  	oStl.load(gFListXslfile);

  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='viewmode']");
  	ndMode.text = "figure";
  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='figgroup']");
  	ndMode.text = vFiggroup;
  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='category']");
  	ndMode.text = vCategory;
  	var ndMode = oStl.selectSingleNode("//xsl:variable[@name='subcategory']");
  	ndMode.text = vSubcategory;

  	ndMode = oStl.selectSingleNode("//xsl:variable[@name='Section']");
  	ndMode.text = gFigList_Section;
  	ndMode = oStl.selectSingleNode("//xsl:variable[@name='Title']");
  	ndMode.text = gFigList_Title;
  	ndMode = oStl.selectSingleNode("//xsl:variable[@name='Outline']");
  	ndMode.text = gFigList_Outline;

  	var sRet = "";
  	if(vFiggroup != "" && vCategory != "")
	{
		if(gmsxv == "4")
		{
    		var oWDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
		}
		else if(gmsxv == "3")
		{
    		var oWDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
		}

    	var ndWk = oWDoc.createNode("1","figlist","");

    	var ndPickup = oDoc.selectNodes("/figlist/figgroup[@name='" + vFiggroup + "']");
		var length = ndPickup.length;
    	for(var i = 0; i < length; i++)
		{
      		ndWk.appendChild(ndPickup.item(i));
    	}
    	oWDoc.appendChild(ndWk);

		if(gmsxv == "4")
		{
    		var oWWDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
		}
		else if(gmsxv == "3")
		{
    		var oWWDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
		}

    	var ndWk = oWDoc.createNode("1","figlist","");
    	ndPickup = oWDoc.selectNodes("/figlist/figgroup/category[@id='" + vCategory + "']");
		var length = ndPickup.length;
    	for(var i=0; i<length; i++)
		{
      		ndWk.appendChild(ndPickup.item(i));
    	}
    	oWWDoc.appendChild(ndWk);

    	if(vSubcategory != "")
		{
			if(gmsxv == "4")
			{
      			var oWWWDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
			}
			else if(gmsxv == "3")
			{
      			var oWWWDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
			}

      		ndWk = oWDoc.createNode("1","figlist","");
      		ndPickup = oWWDoc.selectNodes("/figlist/category/subcategory[@name='" + vSubcategory + "']");
      		if(ndPickup.length>0)
			{
				var length = ndPickup.length;
        		for(var i = 0; i < length; i++)
				{
          			ndWk.appendChild(ndPickup.item(i));
        		}
        		oWWWDoc.appendChild(ndWk);
        		sRet = oWWWDoc.transformNode(oStl);
      		}
    	}
		else
		{
			if(gmsxv == "4")
			{
      			var oWWWDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
			}
			else if(gmsxv == "3")
			{
      			var oWWWDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
			}

      		ndWk = oWDoc.createNode("1","figlist","");
      		var ndWk2 = oWDoc.createNode("1","subcategory","");
      		ndPickup = oWWDoc.selectNodes("/figlist/category/fig");
			var length = ndPickup.length;
      		if(length>0)
			{
        		for(var i = 0; i < length; i++)
				{
          			ndWk2.appendChild(ndPickup.item(i));
        		}
        		ndWk.appendChild(ndWk2);
        		oWWWDoc.appendChild(ndWk);
        		sRet = oWWWDoc.transformNode(oStl);
      		}
    	}
  	}
	else
	{
		if(gmsxv == "4")
		{
    		var oWDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
		}
		else if(gmsxv == "3")
		{
    		var oWDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
		}

    	var ndWk = oWDoc.createNode("1","figlist","");
    	var ndWk2 = oWDoc.createNode("1","subcategory","");
    	var ndPickup = oDoc.selectNodes("/figlist/figgroup[@name='" + vFiggroup + "']/fig");

		var length = ndPickup.length;
    	for(var i = 0; i < length; i++)
		{
      		ndWk2.appendChild(ndPickup.item(i));
    	}
    	ndWk.appendChild(ndWk2);
    	oWDoc.appendChild(ndWk);
    	sRet = oWDoc.transformNode(oStl);
  	}

  	return sRet;
}


function CateList_GetGisoOutlineEmbed()
{
	if(gmsxv == "4")
	{
  		var oDoc = new ActiveXObject("msxml2.DOMDocument.4.0");
	}
	else if(gmsxv == "3")
	{
  		var oDoc = new ActiveXObject("msxml2.DOMDocument.3.0");
	}
	else if(gmsxv == "0")
	{
		Open_XML_Message();
		return;
	}
	else
	{
		alert(gMsxmlVersion_Error3);
		return;
	}
  	oDoc.async = false;
  	oDoc.load(gFListXmlfile);

  	var temp = gFigList_Outline;
	var ndPickup = oDoc.selectSingleNode("/figlist/figgroup[@name='" + gXmlFigGrpName[gXmlFigGrpHarness] + "']/fig[name='" + temp + "']");
  	var svgfile = ndPickup.getElementsByTagName("svgfile").item(0).text;

  	svgfile = gFigGrpFolder[gXmlFigGrpHarness] + "svg/" + svgfile;

//*** 2 outline support 20070116***
	var width_num = 700;
	var height_num = 0;
	height_num = width_num * (342 / 181);
	height_num = Math.floor(height_num);

  	var sRet = "<embed type=\"image/svg-xml\" WMODE=\"transparent\" name=\"FigSvg\" src=\"" + svgfile + "\" width=\"" + width_num + "\" height=\"" + height_num + "\"></embed>";//20070705 Modify
	//var sRet = "<embed name=\"FigSvg\" src=\"" + svgfile + "\"></embed>";
//*** 2 outline support 20070116***

  	return sRet;
}

